package com.wasu.cs.model;

import java.util.List;

/**
 * @Description:
 * @Author: Danxingxi
 * @CreateDate: 2016/12/8 10:56
 */
public class HomeLifeModel {
    private int code;
    private DataEntity data;
    private String message;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataEntity getData() {
        return data;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static class DataEntity {

        private DetailEntity detail;
        private List<BlocksEntity> blocks;

        public DetailEntity getDetail() {
            return detail;
        }

        public void setDetail(DetailEntity detail) {
            this.detail = detail;
        }

        public List<BlocksEntity> getBlocks() {
            return blocks;
        }

        public void setBlocks(List<BlocksEntity> blocks) {
            this.blocks = blocks;
        }

        public static class DetailEntity {

            private String bgPicUrl;

            public String getBgPicUrl() {
                return bgPicUrl;
            }

            public void setBgPicUrl(String bgPicUrl) {
                this.bgPicUrl = bgPicUrl;
            }
        }

        public static class BlocksEntity {

            private int blockType;
            private String jsonUrl;
            private String layout;
            private String title;

            public int getBlockType() {
                return blockType;
            }

            public void setBlockType(int blockType) {
                this.blockType = blockType;
            }

            public String getJsonUrl() {
                return jsonUrl;
            }

            public void setJsonUrl(String jsonUrl) {
                this.jsonUrl = jsonUrl;
            }

            public String getLayout() {
                return layout;
            }

            public void setLayout(String layout) {
                this.layout = layout;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }
        }
    }
}
